<br /><div>Product List</div><br />
<div class="col-lg-6">
    <input type="text" ng-model="searchText" class="form-control" placeholder="Type here to search..." />
    <br />
<table class="table table-bordered table-striped">
    <tr>
        <th>Sr. No.</th>
        <th>Product</th>
    </tr>
    <tr ng-repeat="prod in products | filter : searchText">
        <td>{{$index + 1}}</td>
        <td>{{prod.name}}</td>
    </tr>
</table>
</div>